from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDispatch(XInterface, Protocol):
    def dispatch(self, URL: URL, Arguments: PropertyValue>) -> None: ...
    def addStatusListener(self, Control: XStatusListener, URL: URL) -> None: ...
    def removeStatusListener(self, Control: XStatusListener, URL: URL) -> None: ...
